/*
 * generated by Xtext 2.12.0
 */
package fr.n7.petrinet.txt.ide.contentassist.antlr;

import com.google.inject.Inject;
import fr.n7.petrinet.txt.ide.contentassist.antlr.internal.InternalNETParser;
import fr.n7.petrinet.txt.services.NETGrammarAccess;
import java.util.HashMap;
import java.util.Map;
import org.eclipse.xtext.AbstractElement;
import org.eclipse.xtext.ide.editor.contentassist.antlr.AbstractContentAssistParser;

public class NETParser extends AbstractContentAssistParser {

	@Inject
	private NETGrammarAccess grammarAccess;

	private Map<AbstractElement, String> nameMappings;

	@Override
	protected InternalNETParser createParser() {
		InternalNETParser result = new InternalNETParser(null);
		result.setGrammarAccess(grammarAccess);
		return result;
	}

	@Override
	protected String getRuleName(AbstractElement element) {
		if (nameMappings == null) {
			nameMappings = new HashMap<AbstractElement, String>() {
				private static final long serialVersionUID = 1L;
				{
					put(grammarAccess.getArcAccess().getAlternatives(), "rule__Arc__Alternatives");
					put(grammarAccess.getElementPetriAccess().getAlternatives(), "rule__ElementPetri__Alternatives");
					put(grammarAccess.getEStringAccess().getAlternatives(), "rule__EString__Alternatives");
					put(grammarAccess.getArcKindAccess().getAlternatives(), "rule__ArcKind__Alternatives");
					put(grammarAccess.getReseauAccess().getGroup(), "rule__Reseau__Group__0");
					put(grammarAccess.getReseauAccess().getGroup_4(), "rule__Reseau__Group_4__0");
					put(grammarAccess.getReseauAccess().getGroup_4_3(), "rule__Reseau__Group_4_3__0");
					put(grammarAccess.getReseauAccess().getGroup_8(), "rule__Reseau__Group_8__0");
					put(grammarAccess.getEIntAccess().getGroup(), "rule__EInt__Group__0");
					put(grammarAccess.getArcPTAccess().getGroup(), "rule__ArcPT__Group__0");
					put(grammarAccess.getArcTPAccess().getGroup(), "rule__ArcTP__Group__0");
					put(grammarAccess.getTransitionAccess().getGroup(), "rule__Transition__Group__0");
					put(grammarAccess.getTransitionAccess().getGroup_4(), "rule__Transition__Group_4__0");
					put(grammarAccess.getTransitionAccess().getGroup_4_3(), "rule__Transition__Group_4_3__0");
					put(grammarAccess.getTransitionAccess().getGroup_5(), "rule__Transition__Group_5__0");
					put(grammarAccess.getTransitionAccess().getGroup_5_3(), "rule__Transition__Group_5_3__0");
					put(grammarAccess.getPlaceAccess().getGroup(), "rule__Place__Group__0");
					put(grammarAccess.getPlaceAccess().getGroup_6(), "rule__Place__Group_6__0");
					put(grammarAccess.getPlaceAccess().getGroup_6_3(), "rule__Place__Group_6_3__0");
					put(grammarAccess.getPlaceAccess().getGroup_7(), "rule__Place__Group_7__0");
					put(grammarAccess.getPlaceAccess().getGroup_7_3(), "rule__Place__Group_7_3__0");
					put(grammarAccess.getReseauAccess().getNomAssignment_3(), "rule__Reseau__NomAssignment_3");
					put(grammarAccess.getReseauAccess().getArcAssignment_4_2(), "rule__Reseau__ArcAssignment_4_2");
					put(grammarAccess.getReseauAccess().getArcAssignment_4_3_1(), "rule__Reseau__ArcAssignment_4_3_1");
					put(grammarAccess.getReseauAccess().getElementpetriAssignment_7(), "rule__Reseau__ElementpetriAssignment_7");
					put(grammarAccess.getReseauAccess().getElementpetriAssignment_8_1(), "rule__Reseau__ElementpetriAssignment_8_1");
					put(grammarAccess.getArcPTAccess().getPoidsAssignment_3(), "rule__ArcPT__PoidsAssignment_3");
					put(grammarAccess.getArcPTAccess().getTypeAssignment_5(), "rule__ArcPT__TypeAssignment_5");
					put(grammarAccess.getArcPTAccess().getTransitionAssignment_7(), "rule__ArcPT__TransitionAssignment_7");
					put(grammarAccess.getArcPTAccess().getPlaceAssignment_9(), "rule__ArcPT__PlaceAssignment_9");
					put(grammarAccess.getArcTPAccess().getPoidsAssignment_3(), "rule__ArcTP__PoidsAssignment_3");
					put(grammarAccess.getArcTPAccess().getTransitionAssignment_5(), "rule__ArcTP__TransitionAssignment_5");
					put(grammarAccess.getArcTPAccess().getPlaceAssignment_7(), "rule__ArcTP__PlaceAssignment_7");
					put(grammarAccess.getTransitionAccess().getNomAssignment_3(), "rule__Transition__NomAssignment_3");
					put(grammarAccess.getTransitionAccess().getArctpAssignment_4_2(), "rule__Transition__ArctpAssignment_4_2");
					put(grammarAccess.getTransitionAccess().getArctpAssignment_4_3_1(), "rule__Transition__ArctpAssignment_4_3_1");
					put(grammarAccess.getTransitionAccess().getArcptAssignment_5_2(), "rule__Transition__ArcptAssignment_5_2");
					put(grammarAccess.getTransitionAccess().getArcptAssignment_5_3_1(), "rule__Transition__ArcptAssignment_5_3_1");
					put(grammarAccess.getPlaceAccess().getNomAssignment_3(), "rule__Place__NomAssignment_3");
					put(grammarAccess.getPlaceAccess().getNbJetonsAssignment_5(), "rule__Place__NbJetonsAssignment_5");
					put(grammarAccess.getPlaceAccess().getArctpAssignment_6_2(), "rule__Place__ArctpAssignment_6_2");
					put(grammarAccess.getPlaceAccess().getArctpAssignment_6_3_1(), "rule__Place__ArctpAssignment_6_3_1");
					put(grammarAccess.getPlaceAccess().getArcptAssignment_7_2(), "rule__Place__ArcptAssignment_7_2");
					put(grammarAccess.getPlaceAccess().getArcptAssignment_7_3_1(), "rule__Place__ArcptAssignment_7_3_1");
				}
			};
		}
		return nameMappings.get(element);
	}
			
	@Override
	protected String[] getInitialHiddenTokens() {
		return new String[] { "RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT" };
	}

	public NETGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(NETGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
